package command;

public class CommandSelector {

    public void executeCommand(String enteredCommand) {
        Command command; //possibly make field
        if (enteredCommand.equals("issue")) {
            command = createIssue();
        } else if (enteredCommand.equals("push")) {
            command = pushIssue();
        } else {
            command = help();
        }
        command.execute();
    }

    private Command help(){
        return new CommandHelp();
    }

    private Command createIssue() {
        return new CommandCreateIssue();
    }

    private Command pushIssue() {
        return new CommandPushIssue();
    }
}
